@use 'variables' as v;

@mixin tablet {
  @media (max-width: #{v.$minWidth_desktop}) {
    @content;
  }
}

@mixin mobile {
  @media (max-width: #{v.$minWidth_tablet}) {
    @content;
  }
}

@mixin view {
  display: flex;
  flex-direction: column;
  padding: v.$spacing;
}

@mixin fixedView {
  @include view;

  width: 100%;
  max-width: v.$maxWidth;
  margin-right: auto;
  margin-left: auto;
}
